org.apache.ivy.core.module.descriptor

## Interface InheritableItem

All Known Subinterfaces:
  DependencyDescriptor

All Known Implementing Classes:
  Configuration, ConfigurationGroup, ConfigurationIntersection, DefaultDependencyDescriptor, PomModuleDescriptorBuilder.PomDependencyDescriptor

    public interface InheritableItem

Interface for elements that can be inherited from a parent descriptor by a child descriptor.

See Also:
  `Configuration`, `DependencyDescriptor`

### Method Summary

Methods
`ModuleRevisionId` `getSourceModule()`

### Method Detail

#### getSourceModule

    ModuleRevisionId getSourceModule()

Returns:
  the module in which this item was actually defined, if different from the module in which the item appears. May be null.